<?php
/**
 * Import file view
 *
 * @package 	CSVIVirtueMart
 * @author 		Roland Dalmulder
 * @link 		http://www.csvimproved.com
 * @copyright 	Copyright (C) 2006 - 2012 RolandD Cyber Produksi
 * @license 	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @version 	$Id: view.html.php 1892 2012-02-11 11:01:09Z RolandD $
 */

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

jimport( 'joomla.application.component.view' );

/**
 * Import file View
 *
 * @package CSVIVirtueMart
 */
class CsvivirtuemartViewImportFile extends JView {
	
	/**
	 * Handle the import 
	 * 
	 * @copyright 
	 * @author 		RolandD
	 * @todo 
	 * @see 
	 * @access 		public
	 * @param 
	 * @return 
	 * @since 		3.0
	 */
	public function display($tpl = null) {
		
		// Get the template name
		$template = JRequest::getVar('template');
		$this->template_name = $template->getValue('template_name');
		
		// Toolbar
		JRequest::setVar('hidemainmenu', 1);
		JToolBarHelper::title(JText::_( 'COM_CSVIVIRTUEMART_IMPORTING' ), 'csvivirtuemart_import_48');
		JToolBarHelper::custom('cancelimport', 'csvivirtuemart_cancel_32', 'csvivirtuemart_cancel_32', JText::_('COM_CSVIVIRTUEMART_CANCEL'), false);
		JToolBarHelper::custom('doimport', 'csvivirtuemart_import_32', 'csvivirtuemart_import_32', JText::_('COM_CSVIVIRTUEMART_IMPORT'), false);
		
		// Display it all
		parent::display($tpl);
	}
}
?>